unit uDataModuleImpresiones;

interface

uses
  SysUtils, Classes, DB, uDAClientDataModule, uDADataTable, uDABINAdapter,
  uDAScriptingProvider, uDACDSDataTable, uROWinInetHttpChannel, uROTypes,
  uROServiceComponent, uRORemoteService, uROClient, uROBinMessage,
  uDADesigntimeCall;

type
  TDataModuleImpresiones = class(TDAClientDataModule)
    RORemoteService: TRORemoteService;
    DABinAdapter: TDABINAdapter;
    DADesigntimeCall1: TDADesigntimeCall;
    LoginRemoteService: TRORemoteService;
    ROWinInetHTTPChannel1: TROWinInetHTTPChannel;
    ROBinMessage1: TROBinMessage;
    procedure DAClientDataModuleCreate(Sender: TObject);
  public
    function AnadirMarcaImpresion(const Tabla: String; IdsTabla: String): Boolean;
  end;

var
  dmImpresiones: TDataModuleImpresiones;

implementation

{$R *.DFM}

uses
  FactuGES_Intf, uDataModuleConexion, uDataTableUtils, cxControls, uDAInterfaces,
  Dialogs;

{ TdmImpresiones }

function TDataModuleImpresiones.AnadirMarcaImpresion(const Tabla: String; IdsTabla: String): Boolean;
begin
  Result := (RORemoteService as IsrvImpresiones).AnadirMarcaImpresion(Tabla, IdsTabla);
end;

procedure TDataModuleImpresiones.DAClientDataModuleCreate(Sender: TObject);
begin
  RORemoteService.Channel := dmConexion.Channel;
  RORemoteService.Message := dmConexion.Message;
end;

end.
